Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 276956 - media-plugins/vamp-libxtract-plugin: fails to build with gcc-4.4
Summary: media-plugins/vamp-libxtract-plugin: fails to build with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Professional Audio Applications Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-07-07 17:04 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-07-24 17:56 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (vamp-libxtract-plugins-0.4.2.20071019:20090707-165549.log,1.74 KB, text/plain)
2009-07-07 17:04 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-07 17:04:02 UTC
As per summary, check attached build log.

And _please_ try not to fix it in the wrong way: http://blog.flameeyes.eu/2009/07/02/how-_not_-to-fix-gcc-4-4-bugs
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-07 17:04:54 UTC
Created attachment 197104 [details]
Build log
Comment 2 Arttu Valo 2009-07-08 00:14:50 UTC
All it seems to be missing is a single #include <cstdio> from the plugins/XTractPlugin.cpp
Comment 3 Samuli Suominen gentoo-dev 2009-07-24 17:56:56 UTC
fixed, thanks